Bug 1414992

Summary: [RFE] Allow to change shutdown=remove to shutdown=preserve on already existing instances
Product: Red Hat OpenStack Reporter: David Hill <dhill>
Component: openstack-novaAssignee: nova-maint
Status: CLOSED WONTFIX QA Contact: nova-maint
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0 (Liberty)CC: berrange, dasmith, ealcaniz, eglynn, kchamart, lyarwood, mbooth, mburns, sbauza, sferdjao, sgordon, srevivo, tvignaud, vromanso
Target Milestone: ---Keywords: FutureFeature, Triaged, ZStream
Target Release: ---Flags: ealcaniz: needinfo? (eglynn)
ealcaniz: needinfo? (eglynn)
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-08-28 15:17:12 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description David Hill 2017-01-19 22:19:27 UTC
Description of problem:
Allow to change shutdown=remove to shutdown=preserve on already existing instances as some users might change their mind after creating an instance that would delete the created volumes (default behavior) with:

   $ openstack server create --flavor 2 --volume VOLUME_ID \
  --block-device source=volume,id=$VOLUME_ID,dest=volume,size=10,shutdown=remove,bootindex=0 \
  myInstanceFromVolume

In the user decides he wants to keep the volume after deleting the VM, there're no ways of altering this right but to temper with the database manually.  Would it be possible to add something like "nova update" and allow user to change that value?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a boot from volume VM
2. Delete the VM

Actual results:
Boot volume is deleted

Expected results:
Keep it

Additional info:
Users sometime changes their mind.

Comment 1 Edu Alcaniz 2017-02-08 15:21:59 UTC
Hi, could we have an update about this RFE please?

Comment 2 Stephen Gordon 2017-02-08 16:57:02 UTC
(In reply to Edu Alcaniz from comment #1)
> Hi, could we have an update about this RFE please?

Not in scope for actively planned releases at this time (read: 11/12 - Ocata/Pike).

Comment 5 Edu Alcaniz 2017-05-08 09:55:18 UTC
Hi, could we have an update please.
Thanks
Edu Alcaniz

Comment 6 Edu Alcaniz 2017-05-08 09:55:32 UTC
Hi, could we have an update please.
Thanks
Edu Alcaniz